Bug 882129 (CVE-2012-5603) - CVE-2012-5603 CloudForms Katello: lack of authorization in proxies_controller.rb
Summary: CVE-2012-5603 CloudForms Katello: lack of authorization in proxies_controller.rb
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-5603
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 825858 896336
Blocks: 836071
TreeView+ depends on / blocked
 
Reported: 2012-11-30 08:25 UTC by Kurt Seifried
Modified: 2021-02-17 08:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-26 07:42:56 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1543 0 normal SHIPPED_LIVE Important: CloudForms System Engine 1.1 update 2012-12-05 00:39:57 UTC
Red Hat Product Errata RHSA-2013:0544 0 normal SHIPPED_LIVE Important: Subscription Asset Manager 1.2 update 2013-02-26 04:08:04 UTC

Description Kurt Seifried 2012-11-30 08:25:29 UTC
Lukas Zapletal of Red Hat reports:

Regular user (somebody with username and password) and a consumer UUID of any 
system can download the consumer certificate and consume content or modify 
data without permission to do that.

Comment 1 Murray McAllister 2012-12-03 06:16:24 UTC
Acknowledgements:

This issue was discovered by Lukas Zapletal of Red Hat.

Comment 2 errata-xmlrpc 2012-12-04 19:58:06 UTC
This issue has been addressed in following products:

  CloudForms for RHEL 6
  CloudForms Tools for RHEL 5

Via RHSA-2012:1543 https://rhn.redhat.com/errata/RHSA-2012-1543.html

Comment 4 errata-xmlrpc 2013-02-21 19:20:45 UTC
This issue has been addressed in following products:

  Red Hat Subscription Asset Manager 1.2

Via RHSA-2013:0544 https://rhn.redhat.com/errata/RHSA-2013-0544.html

Comment 5 Kurt Seifried 2013-07-26 07:42:56 UTC
The Red Hat Security Response Team has rated this issue as having low security impact in CloudForms 1.1. This issue is not currently planned to be addressed in future updates.


Note You need to log in before you can comment on or make changes to this bug.